Bug 168882 - portmap-4.0-65.rpm not linked to libwrap
portmap-4.0-65.rpm not linked to libwrap
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: portmap (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 17:41 EDT by Ramses Morales
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 20:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramses Morales 2005-09-20 17:41:51 EDT
Description of problem:

portmap was compiled without linking to libwrap, rendering /etc/hosts.allow and
/etc/hosts.deny useless.

Version-Release number of selected component (if applicable):

4.0-65

How reproducible:

ldd /usr/sbin/pormap (shows no link to libwrap)

The line portmap:ALL inside /etc/hosts.deny has no effect, anyone can telnet to
port 111.


Steps to Reproduce:
1. see above
  
Actual results:

no tcpd filtering


Expected results:

tcpd filtering


Additional info:
Comment 1 Ramses Morales 2005-09-20 18:13:16 EDT
I'm sorry, I just noticed that tcp wrappers were statically compiled into
portmap.  But for some reason pormap is not paying attention to /etc/hosts.deny
: portmap:ALL.

Note You need to log in before you can comment on or make changes to this bug.